ADDRESS_ACTIVITY
Supported Network
Network | Supporting |
|---|---|
Ethereum Mainnet | ✅ |
Ethereum Testnet (sepolia) | ✅ |
Ethereum Testnet (holesky) | ✅ |
Base Mainnet | ✅ |
Base Testnet (sepolia) | ✅ |
Polygon Mainnet | ✅ |
Polygon Testnet (amoy) | ✅ |
Arbitrum Mainnet | ✅ |
Arbitrum Testnet (sepolia) | ✅ |
Optimism Mainnet | ✅ |
Optimism Testnet (sepolia) | ✅ |
Kaia Mainnet | ✅ |
Kaia Testnet (kairos) | ✅ |
Avalanche Mainnet | ✅ |
Avalanche Testnet (fuji) | ✅ |
Tron Mainnet | ✅ |
Aptos Mainnet | ❌ |
Aptos Testnet | ❌ |
Conditions
When eventType is set to ADDRESS_ACTIVITY, the available condition object fields and the option fields you can specify alongside them are listed below. A message is received whenever a transaction, ERC20 token transfer, or NFT (ERC721, ERC1155) transfer occurs involving any address registered in the value.
Key | Type | Required | Description | Example Value |
|---|---|---|---|---|
addresses | Array of Address | true | List of addresses to monitor for events. | ["0xe688b84b23f322a994a53dbf8e15fa82cdb71127", "0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045"] |
withNative | Boolean | false | Field that selects whether to retrieve native transfer information. Defaults to false, and it can only be set for EVM-based chains when creating an ADDRESS_ACTIVITY event. When enabled, you can receive messages of the nativeTransfer, withdrawal, atomic, erc20, erc721, and erc1155 types. | true |
reorgCorrectionEnabled | Boolean | false | Field that selects whether to apply reorg detection and correction. Defaults to false. With this option enabled, when a reorg block occurs, the message affected by the reorg is re-sent under the same Sequence Number with the event.reorgRemoved: true tag. The information of the new block is then sent under a new Sequence Number. | true |
Response Example
📍 Type: Transaction
subscription_connected The user(8350954814192461336) is connected.
registered messageId: 123,
subscriptionId: 5074
subscription Event :
subscriptionId: 5074,
eventType: ADDRESS_ACTIVITY,
event: {
"targetAddresses": [
"0xdac17f958d2ee523a2206206994597c13d831ec7"
],
"messages": [
{
"block_hash": "0x0340186e5a762cca61285ca713d4b80231886343f103e56a290bd41b85969c49",
"block_number": 21570981,
"block_timestamp": 1736233451,
"from_address": "0xeca19db2c8058c229a5b71e36276031fed05bb5b",
"gas": 69355,
"gas_price": 10953653697,
"hash": "0xe4b61d57871c46bd3dba0baab1faea53e8bcc2608d70aac44bcffe81180d2897",
"input": "0xa9059cbb0000000000000000000000009642b23ed1e01df1092b92641051881a322f5d4e0000000000000000000000000000000000000000000000000000000033464b7f",
"max_fee_per_gas": null,
"max_priority_fee_per_gas": null,
"nonce": 0,
"to_address": "0xdac17f958d2ee523a2206206994597c13d831ec7",
"transaction_index": 2,
"transaction_type": 0,
"value": "0",
"access_list": null,
"receipt_contract_address": null,
"receipt_cumulative_gas_used": 83309,
"receipt_effective_gas_price": 10953653697,
"receipt_gas_used": 41309,
"receipt_root": null,
"receipt_status": 1,
"type": "transaction"
}
]
}
📍 Type: ERC20
subscription_connected The user(8350954814192461336) is connected.
registered messageId: 123,
subscriptionId: 5075
subscription Event : subscriptionId: 5075,
eventType: ADDRESS_ACTIVITY,
event: {
"targetAddresses": [
"0xdac17f958d2ee523a2206206994597c13d831ec7"
],
"messages": [
{
"token_address": "0xdac17f958d2ee523a2206206994597c13d831ec7",
"from_address": "0xeca19db2c8058c229a5b71e36276031fed05bb5b",
"to_address": "0x9642b23ed1e01df1092b92641051881a322f5d4e",
"value": "860244863",
"transaction_hash": "0xe4b61d57871c46bd3dba0baab1faea53e8bcc2608d70aac44bcffe81180d2897",
"log_index": 0,
"block_number": 21570981,
"block_timestamp": 1736233451,
"type": "erc20"
},
{
"token_address": "0xdac17f958d2ee523a2206206994597c13d831ec7",
"from_address": "0x67e022256e5de118994476a621d709d658b65f04",
"to_address": "0x5f3774670bef36ee9153436fca9a7b1bee23f313",
"value": "105000000",
"transaction_hash": "0x7f0de06dde3704d909f377b2031cf17ec1f98276ccc634ec48115d0f29a8507a",
"log_index": 97,
"block_number": 21570981,
"block_timestamp": 1736233451,
"type": "erc20"
}
]
}
📍 Type: ERC721
subscription_connected The user(8350954814192461336) is connected.
registered messageId: 123,
subscriptionId: 5079
subscription Event : subscriptionId: 5079,
eventType: ADDRESS_ACTIVITY,
event: {
"targetAddresses": [
"0xbd3531da5cf5857e7cfaa92426877b022e612cf8"
],
"messages": [
{
"token_address": "0xbd3531da5cf5857e7cfaa92426877b022e612cf8",
"from_address": "0x64f56f2c0091c6daade892fd535b911b751618d1",
"to_address": "0x066b4894be13ac0d49b24fc588668e428ec404e9",
"token_id": "5811",
"transaction_hash": "0xc08d9dbf8def48c4b420138c5de6be91ded13ea6d6c6e15eb9ad73a8e760f86f",
"log_index": 139,
"block_number": 21571140,
"block_timestamp": 1736235359,
"type": "erc721"
}
]
}
📍 Type: ERC1155
subscription_connected The user(8350954814192461336) is connected.
registered messageId: 123,
subscriptionId: 5085
subscription Event : subscriptionId: 5085,
eventType: ADDRESS_ACTIVITY,
event: {
"targetAddresses": ["0xd4416b13d2b3a9abae7acd5d6c2bbdbe25686401"],
"messages": [
{
"batch_index": 0,
"block_number": 21570325,
"block_timestamp": 1736225555,
"from_address": "0x0000000000000000000000000000000000000000",
"log_index": 436,
"operator": "0x253553366da8546fc250f225fe3d25d0c782303b",
"to_address": "0xaa53fc83a445356c7aa22bfaf1ca7b7a71fa6d62",
"token_address": "0xd4416b13d2b3a9abae7acd5d6c2bbdbe25686401",
"token_id": "111132410891957713282240139609071409342652389978307630009530067920638862855368",
"transaction_hash": "0x1feaa0015830869b964d4ed4cad3bba67a44e8f93c3994833c7b5320e172a986",
"value": "1",
"type": "erc1155"
}
]
}
📍 Type: Native Transfer(EVM)
A message type that tracks the movement of native tokens on EVM-based chains. To receive Native Transfer type messages, set the withNative field to true when creating the ADDRESS_ACTIVITY event.
subscription_connected The user(8350954814192461336) is connected.
registered messageId: 123,
subscriptionId: 5080
subscription Event : subscriptionId: 5080,
eventType: ADDRESS_ACTIVITY,
event: {
"targetAddresses": [
"0xdef..."
],
"messages": [
{
"type": "nativeTransfer",
"from_address": "0xabc...",
"to_address": "0xdef...",
"value": "1000000000000000000",
"transaction_hash": "0x123...",
"block_number": 21000000,
"block_hash": "0xaaa...",
"block_timestamp": 1710000000,
"transaction_index": 3,
"trace_index": 0
}
]
}
📍 Type: Native Transfer(Tron)
A message type that tracks the movement of native tokens on the Tron chain. To receive Native Transfer type messages, set the withNative field to true when creating the ADDRESS_ACTIVITY event.
subscription_connected The user(8350954814192461336) is connected.
registered messageId: 123,
subscriptionId: 5081
subscription Event : subscriptionId: 5081,
eventType: ADDRESS_ACTIVITY,
event: {
"targetAddresses": [
"TPahvCrJ..."
],
"messages": [
{
"type": "nativeTransfer",
"from_address": "TAQ3S3o1...",
"to_address": "TPahvCrJ...",
"value": "20000000",
"tx_id": "6a6ddcac...",
"tx_index": 165,
"internal_tx_index": -1,
"exchange_id": null,
"block_number": 82107734,
"block_hash": "0000000...",
"block_timestamp": 1776991116
}
]
}
📍 Type: Withdrawal
A message type that tracks validator withdrawals delivered from the Beacon Chain to the execution layer. To receive Withdrawal type messages, set the withNative field to true when creating the ADDRESS_ACTIVITY event.
subscription_connected The user(8350954814192461336) is connected.
registered messageId: 123,
subscriptionId: 5082
subscription Event : subscriptionId: 5082,
eventType: ADDRESS_ACTIVITY,
event: {
"targetAddresses": [
"0xdef..."
],
"messages": [
{
"type": "withdrawal",
"from_address": "0x0000000000000000000000000000000000000000",
"to_address": "0xdef...",
"value": "32000000000000000000",
"index": 12345,
"validator_index": 678,
"block_number": 21000000,
"block_hash": "0xaaa...",
"block_timestamp": 1710000000
}
]
}
📍 Type: Atomic
A message type that tracks Avalanche cross-chain asset movement (atomic transfer). To receive Atomic type messages, set the withNative field to true when creating the ADDRESS_ACTIVITY event.
subscription_connected The user(8350954814192461336) is connected.
registered messageId: 123,
subscriptionId: 5083
subscription Event : subscriptionId: 5083,
eventType: ADDRESS_ACTIVITY,
event: {
"targetAddresses": [
"0xabc..."
],
"messages": [
{
"type": "atomic",
"from_address": "0xabc...",
"to_address": "0x0000000000000000000000000000000000000000",
"from_chain": "C",
"to_chain": "P",
"value": "5000000000000000000",
"block_number": 40000000,
"block_hash": "0xaaa...",
"block_timestamp": 1710000000
}
]
}
📍 Type: TRC20
A message type that tracks TRC-20 token transfers on the Tron chain. Addresses are provided in Base58 format (starting with T).
subscription_connected The user(8350954814192461336) is connected.
registered messageId: 123,
subscriptionId: 5084
subscription Event : subscriptionId: 5084,
eventType: ADDRESS_ACTIVITY,
event: {
"targetAddresses": [
"T..."
],
"messages": [
{
"token_address": "T...",
"from_address": "T...",
"to_address": "T...",
"value": "48100000",
"log_index": 0,
"tx_id": "...",
"tx_index": 283,
"block_number": 85768711,
"block_timestamp": 1787977626,
"type": "trc20"
}
]
}
📍 Type: TRC721
A message type that tracks TRC-721 NFT transfers on the Tron chain. It has the same structure as TRC-20, except that token_id is provided instead of value.
subscription_connected The user(8350954814192461336) is connected.
registered messageId: 123,
subscriptionId: 5086
subscription Event : subscriptionId: 5086,
eventType: ADDRESS_ACTIVITY,
event: {
"targetAddresses": [
"T..."
],
"messages": [
{
"token_address": "T...",
"from_address": "T...",
"to_address": "T...",
"token_id": "1234",
"log_index": 0,
"tx_id": "...",
"tx_index": 283,
"block_number": 85768711,
"block_timestamp": 1787977626,
"type": "trc721"
}
]
}
📍 Type: TRC1155
A message type that tracks TRC-1155 token transfers on the Tron chain. It adds the token_id, operator, and batch_index fields to the TRC-20 structure.
subscription_connected The user(8350954814192461336) is connected.
registered messageId: 123,
subscriptionId: 5087
subscription Event : subscriptionId: 5087,
eventType: ADDRESS_ACTIVITY,
event: {
"targetAddresses": [
"T..."
],
"messages": [
{
"token_address": "T...",
"from_address": "T...",
"to_address": "T...",
"operator": "T...",
"value": "1",
"token_id": "1234",
"batch_index": 0,
"log_index": 0,
"tx_id": "...",
"tx_index": 283,
"block_number": 85768711,
"block_timestamp": 1787977626,
"type": "trc1155"
}
]
}